Bug 31486 - Deleting a message from checkouts tab redirects to detail tab in patron account
Summary: Deleting a message from checkouts tab redirects to detail tab in patron account
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-29 20:37 UTC by Lucas Gass
Modified: 2022-11-20 00:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch corrects a problem where message deletion was improperly redirecting to the patron delete page when a message is deleted on the circulation page.
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31486: Redirect to proper page after message deletion (2.79 KB, patch)
2022-08-29 21:51 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31486: Redirect to proper page after message deletion (2.84 KB, patch)
2022-09-07 14:19 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 31486: Redirect to proper page after message deletion (2.90 KB, patch)
2022-09-11 14:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-08-29 20:37:16 UTC
If you are on the patron checkout page (circulation.pl) and you delete a message you will be redirected to the details page (moremember.pl)
Comment 1 Lucas Gass 2022-08-29 21:51:37 UTC
Created attachment 139967 [details] [review]
Bug 31486: Redirect to proper page after message deletion

To test:
1. Go to a patron account and create some messages
2. Try deleting some from both the patron details page and the patron checkout page.
3. Notice that is you are on the patron checkout page and delete a message you are then redirected to the patron details page.
4. Apply patch
5. Try deleting messages from both pages and confirm you are redirected back to that same page and the message is properly deleted.
Comment 2 ByWater Sandboxes 2022-09-07 14:19:47 UTC
Created attachment 140309 [details] [review]
Bug 31486: Redirect to proper page after message deletion

To test:
1. Go to a patron account and create some messages
2. Try deleting some from both the patron details page and the patron checkout page.
3. Notice that is you are on the patron checkout page and delete a message you are then redirected to the patron details page.
4. Apply patch
5. Try deleting messages from both pages and confirm you are redirected back to that same page and the message is properly deleted.

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>
Comment 3 Katrin Fischer 2022-09-11 14:16:18 UTC
Created attachment 140402 [details] [review]
Bug 31486: Redirect to proper page after message deletion

To test:
1. Go to a patron account and create some messages
2. Try deleting some from both the patron details page and the patron checkout page.
3. Notice that is you are on the patron checkout page and delete a message you are then redirected to the patron details page.
4. Apply patch
5. Try deleting messages from both pages and confirm you are redirected back to that same page and the message is properly deleted.

Signed-off-by: Andrew Fuerste-Henry <andrewfh@dubcolib.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2022-09-11 15:00:16 UTC
Created attachment 140404 [details]
Bug 31513: Remove price formatting form data- attributes

We cannot use data formatted with a decimal comma for
calculations. So we need to make sure that the data- attributes
passed to the modals are in 'database format' with decimal .

This will fix the NaN errors on the forms, but might also
negatively effect formatting in some spots.
Formatting should be fixed separately as this is for sure the
right first step, but we need to put in more work for displays.

To test:
* Set CurrencyFormat system preference to FR
* Go to any patron account > accounting tab
* Create a credit
* On Transactions tab: Payout amount at bottom = Verify NaN in input
* On Transactions tab: Issue payout on the credit line = Verify NaN in input
* Create a manual debit and pay it
* On Transactions tab: Issue refund = Verify NaN in input
* Apply patch
* Repeat test plan
* Now all input fields should be set with the correct amounts
Comment 5 Tomás Cohen Arazi 2022-09-12 19:42:29 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-10-31 20:59:03 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 7 Arthur Suzuki 2022-11-14 14:13:52 UTC
applied to 21.11 for 21.11.14
Comment 8 Victor Grousset/tuxayo 2022-11-20 00:34:58 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.